Subject: Re: BUG: warning at net/core/dev.c:1171/skb_checksum_help() 2.6.18-rc3

From: Patrick McHardy <[email-masked]>
Date: Mon, 31 Jul 2006 07:07:31 +0200

David Miller wrote:
> From: Patrick McHardy <[email-masked]>
> Date: Mon, 31 Jul 2006 06:24:31 +0200
> 
> 
>>This is a known problem with NAT and HW checksum and will probably get
>>fixed in 2.6.19.
> 
> 
> I would like to see this fixed for 2.6.18, no later.
> 
> Either that or disable the bug trap, but taking this route
> is severely discouraged. :)

I'm actually updateing my patch for this on top of Herbert's
CHECKSUM_PARTIAL patch right now. Unfortunately I targeted 2.6.19,
so the fixes are on top of a few cleanups (which unconvered a few
unrelated bugs as well). I'll post it when I'm done so we can
decide how to proceed.